import { transformSync } from 'esbuild';
import { extname, resolve } from 'path';
import { existsSync, readFileSync } from 'fs';

const getOptions = () => {
  var _a;
  const tsconfigPath = resolve("tsconfig.json");
  const tsconfig = existsSync(tsconfigPath) ? JSON.parse(readFileSync(resolve("tsconfig.json"), "utf-8")) : {compilerOptions: {target: "es2018"}};
  return {
    format: "cjs",
    target: ((_a = tsconfig.compilerOptions) == null ? void 0 : _a.target) || "es2018",
    sourcemap: true
  };
};
function process(content, filename) {
  const options = getOptions();
  const result = transformSync(content, {
    loader: extname(filename).slice(1),
    sourcefile: filename,
    ...options
  });
  return {
    code: result.js,
    map: {
      ...JSON.parse(result.jsSourceMap),
      sourcesContent: null
    }
  };
}

export { process };
