'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var esbuild = require('esbuild');
var path = require('path');
var fs = require('fs');

const getOptions = () => {
  var _a;
  const tsconfigPath = path.resolve("tsconfig.json");
  const tsconfig = fs.existsSync(tsconfigPath) ? JSON.parse(fs.readFileSync(path.resolve("tsconfig.json"), "utf-8")) : {compilerOptions: {target: "es2018"}};
  return {
    format: "cjs",
    target: ((_a = tsconfig.compilerOptions) == null ? void 0 : _a.target) || "es2018",
    sourcemap: true
  };
};
function process(content, filename) {
  const options = getOptions();
  const result = esbuild.transformSync(content, {
    loader: path.extname(filename).slice(1),
    sourcefile: filename,
    ...options
  });
  return {
    code: result.js,
    map: {
      ...JSON.parse(result.jsSourceMap),
      sourcesContent: null
    }
  };
}

exports.process = process;
